<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.327
Name: Interventions provided
Description: Template: Interventions provided
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000">
   <title>Interventions provided</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.327
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]
Item: (Interventionsprovided)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.327
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]
Item: (Interventionsprovided)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]"
         id="tmp-r-615002-128929-746099-605253">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="string(@classCode)='OBS'">(Interventionsprovided): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="string(@moodCode)='EVN'">(Interventionsprovided): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327'])&gt;=1 ">(Interventionsprovided): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327'])&lt;=1">(Interventionsprovided): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:code[(@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Interventionsprovided): element hl7:code[(@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:code[(@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Interventionsprovided): element hl7:code[(@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:text)&lt;=1">(Interventionsprovided): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or @nullFlavor='OTH'])&gt;=1 ">(Interventionsprovided): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or @nullFlavor='OTH'])&lt;=1">(Interventionsprovided): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.327
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:templateId
Item: (Interventionsprovided)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:templateId"
         id="tmp-r-194673-707919-571749-903997">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Interventionsprovided): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.327'">(Interventionsprovided): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.327' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.327
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:code[(@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Interventionsprovided)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:code[(@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-543062-955130-804449-236698">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Interventionsprovided): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="@nullFlavor or (@code='62387-6' and @codeSystem='2.16.840.1.113883.6.1')">(Interventionsprovided): de elementwaarde MOET zijn code '62387-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.327
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:text
Item: (Interventionsprovided)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:text"
         id="tmp-r-523920-908821-829652-238440">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Interventionsprovided): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Interventionsprovided): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Interventionsprovided): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.327
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:text/hl7:reference
Item: (Interventionsprovided)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:text/hl7:reference"
         id="tmp-r-396157-507423-789040-708500">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Interventionsprovided): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.327
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or @nullFlavor='OTH']
Item: (Interventionsprovided)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.77') or @nullFlavor='OTH']"
         id="tmp-r-425734-873518-761616-269409">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Interventionsprovided): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.77-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.77-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Interventionsprovided): de waarde van @code MOET worden gekozen uit waardenlijst vs_interventie_complicatie_coloscopie Interventie complicatie coloscopie (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Interventionsprovided): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_interventie_complicatie_coloscopie Interventie complicatie coloscopie (DYNAMISCH).</assert>
   </rule>
</pattern>
