<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.423
Name: Type tumor (darmkanker)
Description: Template: Type tumor (darmkanker)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000">
   <title>Type tumor (darmkanker)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]
Item: (Typetumordarmkanker)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]"
         id="tmp-r-774179-396988-325479-651196">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Typetumordarmkanker): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Typetumordarmkanker): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'])&gt;=1 ">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'])&lt;=1">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&gt;=1 and not(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]/@nullFlavor)">(Typetumordarmkanker): element hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&lt;=1">(Typetumordarmkanker): element hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Typetumordarmkanker): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Typetumordarmkanker): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='858' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2284' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2285' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='861' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='859' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='860' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2282' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2283' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='862' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&gt;=1 and not(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='858' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2284' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2285' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='861' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='859' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='860' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2282' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2283' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='862' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]/@nullFlavor)">(Typetumordarmkanker): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='858' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2284' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2285' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='861' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='859' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='860' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2282' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2283' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='862' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='858' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2284' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2285' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='861' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='859' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='860' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2282' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2283' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='862' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&lt;=1">(Typetumordarmkanker): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='858' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2284' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2285' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='861' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='859' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='860' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2282' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2283' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='862' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:templateId
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:templateId"
         id="tmp-r-643578-145327-457016-349468">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.423'">(Typetumordarmkanker): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.423' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]"
         id="tmp-r-722248-705163-989927-351630">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="@nullFlavor or (@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1' and @displayName='Histologic type' and @codeSystemName='PathLex')">(Typetumordarmkanker): de elementwaarde MOET zijn code '160' codeSystem '1.3.6.1.4.1.19376.1.8.2.1' displayName='Histologic type' codeSystemName='PathLex'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text"
         id="tmp-r-325059-751481-128503-704765">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Typetumordarmkanker): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Typetumordarmkanker): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text/hl7:reference
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text/hl7:reference"
         id="tmp-r-269051-683298-261801-113296">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string-length(@value)&gt;0">(Typetumordarmkanker): attribute @value MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='858' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2284' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2285' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='861' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='859' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='860' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2282' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2283' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='862' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.2') or (@code='858' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2284' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2285' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='861' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='859' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='860' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2282' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='2283' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1') or (@code='862' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]"
         id="tmp-r-697121-865511-731115-172072">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), exists(document('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Typetumordarmkanker): de waarde van @code MOET worden gekozen uit waardenlijst vs_typelaesie Type laesie (DYNAMISCH) of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Typetumordarmkanker): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_typelaesie Type laesie (DYNAMISCH) of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) (DYNAMISCH).</assert>
   </rule>
</pattern>
